﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using MvcHelper;

namespace MvcApp.Models
{
    
    public class Page
    {
        /// <summary>
        /// 分页
        /// </summary>
        public Paging<ObjectData> Paging;
        public List<ObjectData> aList;//
        public Page(string para)
        {
            int pageSize = 10;
            PageParse sm = new PageParse(para, HttpContext.Current.Request.QueryString);
            int currentPage = StrToInt(sm["page"], 1);

            DataSource ds = new DataSource();
            int totalCount = ds.objList.Count;//总记录数

            var q=ds.objList.AsQueryable<ObjectData>();
            if (currentPage > 0) q = q.Skip((currentPage - 1) * pageSize);

            aList = q.Take(pageSize).ToList();
            Paging = new Paging<ObjectData>(pageSize, currentPage, aList, totalCount, sm.PagingUrl);
        }

        /// <summary>
        /// string型转换为int型
        /// </summary>
        public static int StrToInt(string strValue, int defValue)
        {
            if (string.IsNullOrEmpty(strValue)) return defValue;

            if (!int.TryParse(strValue.ToString(), out defValue)) return defValue;
            return defValue;
        }
    }
}